<?php
namespace Misuzu\Parsers\BBCode\Tags;

use Misuzu\Parsers\BBCode\BBCodeSimpleTag;

final class H1Tag extends BBCodeSimpleTag {
    public function getPattern(): string {
        return "/\[h1\](.+?)\[\/h1\]/";
    }

    public function getReplacement(): string {
        return '<h1 class="bb-h1">$1</h1>';
    }
}
